
Figure - Bug #118635
Bug # 118493 (CLOSED): 【BSP】--【VC1】【台架】-【客户现场】【0072中控】-中控网络不可用的情况下，中控操作整车下电，重启后TP不可用

【IOVDEV-33355】【内部】【VC1】【0095】【台架】【EE环境】【副屏】adb命令杀掉monkey进程后，副
屏触控失灵，无tp事件上报
2023-06-08 10:56 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-08

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 90%

Category: 冻屏 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0088.C103��【副屏版本号】：01.00.0106.C104

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause: TP失效，无报点

Description

【环境信息】EE环境

【问题出现时间】：20230608 09:10

【前提条件】：副屏上电，网络正常

【操作步骤】

1.monkey脚本正常运行，用adb命令杀掉monkey进程后。

【实际结果】

1.副屏触控失灵，无tp事件上报。

【期望结果】

1.副屏上能够正常进行触控操作。

【备注】：

台架Log地址：https://ofs.human-horizons.com/#/download/index/N5s5cw%2F7bho%3D

【当前开机次数】：副屏第108次开机

【应用版本】：/

【VIN】：HRYTTESTVINMGM816

【硬件版本号】：/

【中控版本号】：03.02.0088.C103

【副屏版本号】：01.00.0106.C104

History

#1 - 2023-06-08 10:56 - CDTS_Test 吴诗雨

日志下载中，稍后上传
https://ofs.human-horizons.com/#/download/index/N5s5cw%2F7bho%3D


#2 - 2023-06-08 11:01 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118635

#3 - 2023-06-08 13:36 - CDTS_Test 吴诗雨

- Category changed from CD-FW to BSP

- Assignee changed from CD FW 曹覃刚 to CD BSP-杜磊

#4 - 2023-06-08 15:32 - CD BSP-杜磊

- Status changed from New to ASSIGNED

- % Done changed from 0 to 20

- Parent task set to #118493

从log分析：

TP自检失败，TP中断异常，导致无数据上报，与　https://share.thundersoft.com/redmine/issues/118493　同件。

FSEM_000108_0136_1111053021/kernel/000108_kernel_00096_221111_050009.log:273:11-11 05:00:43.166     0     0 I         : [18045.631075] atmel_mxt_ts 0-004a: T25 Status

0x17 Info: 64 00 00 00 00

FSEM_000108_0136_1111053021/kernel/000108_kernel_00096_221111_050009.log:286:11-11 05:00:45.168     0     0 I         : [18047.632733] atmel_mxt_ts 0-004a: T25 Status

0x17 Info: 64 00 00 00 00

FSEM_000108_0136_1111053021/kernel/000108_kernel_00096_221111_050009.log:315:11-11 05:00:47.193     0     0 I         : [18049.654831] atmel_mxt_ts 0-004a: T25 Status

0x17 Info: 64 00 00 00 00

FSEM_000108_0136_1111053021/kernel/000108_kernel_00096_221111_050009.log:330:11-11 05:00:49.326     0     0 I         : [18051.658975] atmel_mxt_ts 0-004a: T25 Status

0x17 Info: 64 00 00 00 00

FSEM_000108_0136_1111053021/kernel/000108_kernel_00096_221111_050009.log:344:11-11 05:00:51.198     0     0 I         : [18053.658209] atmel_mxt_ts 0-004a: T25 Status

0x17 Info: 64 00 00 00 00

FSEM_000108_0136_1111053021/kernel/000108_kernel_00096_221111_050009.log:367:11-11 05:00:55.201     0     0 I         : [18057.660953] atmel_mxt_ts 0-004a: T25 Status

0x17 Info: 64 00 00 00 00

FSEM_000108_0136_1111053021/kernel/000108_kernel_00096_221111_050009.log:377:11-11 05:00:57.286     0     0 I         : [18059.685972] atmel_mxt_ts 0-004a: T25 Status

0x17 Info: 64 00 00 00 00

FSEM_000108_0136_1111053021/kernel/000108_kernel_00096_221111_050009.log:400:11-11 05:00:59.224     0     0 I         : [18061.684536] atmel_mxt_ts 0-004a: T25 Status

0x17 Info: 64 00 00 00 00

FSEM_000108_0136_1111053021/kernel/000108_kernel_00096_221111_050009.log:411:11-11 05:01:03.249     0     0 I         : [18063.685366] atmel_mxt_ts 0-004a: T25 Status

0x17 Info: 64 00 00 00 00

FSEM_000108_0136_1111053021/kernel/000108_kernel_00096_221111_050009.log:421:11-11 05:01:03.249     0     0 I         : [18065.686900] atmel_mxt_ts 0-004a: T25 Status

0x17 Info: 64 00 00 00 00

FSEM_000108_0136_1111053021/kernel/000108_kernel_00096_221111_050009.log:432:11-11 05:01:05.225     0     0 I         : [18067.688498] atmel_mxt_ts 0-004a: T25 Status

0x17 Info: 64 00 00 00 00

FSEM_000108_0136_1111053021/kernel/000108_kernel_00096_221111_050009.log:441:11-11 05:01:07.253     0     0 I         : [18069.709515] atmel_mxt_ts 0-004a: T25 Status

0x17 Info: 64 00 00 00 00

FSEM_000108_0136_1111053021/kernel/000108_kernel_00096_221111_050009.log:459:11-11 05:01:09.249     0     0 E         : [18071.709947] atmel_mxt_ts 0-004a:

__mxt_read_reg: i2c transfer failed (-107)

FSEM_000108_0136_1111053021/kernel/000108_kernel_00096_221111_050009.log:460:11-11 05:01:09.249     0     0 E         : [18071.709952] atmel_mxt_ts 0-004a: Failed to

read T44/T144 and T5 (-107)

#5 - 2023-06-09 15:03 - CDTS-TEST 周婷

- Category changed from BSP to 冻屏

#6 - 2023-06-12 11:04 - CD BSP-杜磊

- Status changed from ASSIGNED to RESOLVED
- Assignee changed from CD BSP-杜磊 to 移动测试一组_CDTS 刘强

- % Done changed from 20 to 90

- Root cause set to TP失效，无报点

代码已入库，请使用6/13 V110版本进行复测

#7 - 2023-06-13 17:12 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

206834 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

dulei0503@thundersoft.com

BSP:TP: Fix VC1 tp heartbeat check failureTP connect status error when tp driver bootupTC-RID: 1201-0100401IssueID: TS-R-DF-118635Change-Id:

Ia2d45b440942e2f57f05376864feaf060e90a89a

#8 - 2023-06-14 09:33 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

207049 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-release_sorp

wangxl0510@thundersoft.com

BSP:TP: Fix VC1 tp heartbeat check failureTP connect status error when tp driver bootupTC-RID: 1201-0100401IssueID: TS-R-DF-118635Change-Id:

Ia2d45b440942e2f57f05376864feaf060e90a89a(cherry picked from commit 93884784e1b705d1026632a1e52e23445db310cc)

#9 - 2023-06-14 13:58 - 智能系统测试组_TSCD 田科

Deal all,

在110版本验证此问题PASS

结果：PASS

版本：01.00.0110.C104

次数：10

步骤：1.monkey正常运行，使用adb命令杀掉进程

周边测试：Monkey运行时，重启设备，断电设备无此票问题

备注：概率问题，下个版本继续验证

Thanks

#10 - 2023-06-16 16:15 - 智能系统测试组_TSCD 田科

Deal all,

2025-07-04 3/4



在110版本验证此问题PASS

结果：PASS

版本：01.00.0110.C105

FTP地址：ftp://cdiot@192.168.87.46/Pre_figure/ReleaseBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-release_sorp/user/20230615/2247

次数：30

步骤：1.monkey正常运行，使用adb命令杀掉进程

周边测试：Monkey运行时，重启设备，断电设备无此票问题

Thanks

#11 - 2023-06-27 15:14 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

客户110版本上回归通过

#12 - 2023-06-27 15:14 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
